Bug 636209 - Review Request: atinject - Dependency injection specification for Java (JSR-330)
Summary: Review Request: atinject - Dependency injection specification for Java (JSR-330)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-21 16:35 UTC by Stanislav Ochotnicky
Modified: 2010-09-30 07:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 07:42:18 UTC
akurtako: fedora-review+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-09-21 16:35:37 UTC
Spec URL: http://sochotni.fedorapeople.org/packages/atinject.spec
SRPM URL: http://sochotni.fedorapeople.org/packages/atinject-1-1.20100611svn86.fc15.src.rpm

Description: 
This package specifies a means for obtaining objects in such a way as
to maximize reusability, testability and maintainability compared to
traditional approaches such as constructors, factories, and service
locators (e.g., JNDI). This process, known as dependency injection, is
beneficial to most nontrivial applications.

Comment 1 Alexander Kurtakov 2010-09-21 18:58:18 UTC
I'll take this one.

Comment 2 Alexander Kurtakov 2010-09-21 20:09:42 UTC
=== REQUIRED ITEMS ===
[!]  Rpmlint output:
atinject.noarch: W: spelling-error %description -l en_US reusability -> re usability, re-usability, usability
atinject.noarch: W: spelling-error %description -l en_US locators -> allocators, allocator, locations
Not a problem.
atinject.noarch: W: incoherent-version-in-changelog 1-1.20101106svn86 ['1-1.20100611svn86.fc13', '1-1.20100611svn86']
Fix it.
atinject.noarch: W: no-documentation
atinject.noarch: W: non-conffile-in-etc /etc/maven/fragments/atinject
Not a problem

[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[_]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[_]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[_]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[X ]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[_]  Fully versioned dependency in subpackages, if present.
[_]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Packages using maven have proper BuildRequires/Requires(post) on jpackage-utils
[X]  Packages using maven run %update_maven_depmap in %post/%postun
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== SUGGESTED ITEMS ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[X]  Javadocs are placed in %{_javadocdir}/%{name} with %{_javadocdir}/%{name}-%{version} symlink
[X]  If package contains pom.xml files install it even when building with ant
[_]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.


=== Issues ===
1. Fix rpmlint issue.

Comment 3 Stanislav Ochotnicky 2010-09-22 07:33:25 UTC
Hmm, forgot to re-upload spec/srpm (I had that fixed locally)

Spec URL: http://sochotni.fedorapeople.org/packages/atinject.spec
SRPM URL:
http://sochotni.fedorapeople.org/packages/atinject-1-1.20100611svn86.fc15.src.rpm

Comment 4 Alexander Kurtakov 2010-09-22 09:14:13 UTC
Thanks, this package is APPROVED.

Comment 5 Stanislav Ochotnicky 2010-09-22 09:27:48 UTC
Thanks for the review

New Package CVS Request
=======================
Package Name: atinject
Short Description: Dependency injection specification for Java (JSR-330)
Owners: sochotni
Branches:
InitialCC:

Comment 6 Kevin Fenzi 2010-09-22 17:00:10 UTC
Git done (by process-git-requests).

Comment 7 Stanislav Ochotnicky 2010-09-22 18:18:50 UTC
Ah, forgot about that fedpkg bug 619979. Please create f14 branch to workaround this.

Comment 8 Kevin Fenzi 2010-09-25 05:03:55 UTC
Can you add a Package Change Request here with that?

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#Package_Change_Requests_for_existing_packages

Comment 9 Stanislav Ochotnicky 2010-09-29 08:37:25 UTC
Package Change Request
======================
Package Name: atinject
Short Description: Dependency injection specification for Java (JSR-330)
Owners: sochotni
Branches: f14 devel
InitialCC:


Change requested due to fedpkg bug 619979

Comment 10 Stanislav Ochotnicky 2010-09-29 08:49:30 UTC
Ah, sorry...I got out of bed the wrong way I guess (disregard changes in description and initial CC)

Package Change Request
======================
Package Name: atinject
Owners: sochotni
Branches: f14 devel


Change requested due to fedpkg bug 619979

Comment 11 Kevin Fenzi 2010-09-29 18:49:40 UTC
Git done

Comment 12 Stanislav Ochotnicky 2010-09-30 07:42:18 UTC
Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2502910

Thanks again.


Note You need to log in before you can comment on or make changes to this bug.